Повышение привилегий в GNU libtool

Дата публикации:
27.11.2009
Дата изменения:
27.11.2009
Всего просмотров:
1594
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GNU libtool 2.x
Уязвимые версии: GNU libtool версии до 2.2.6b

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость существует из-за того, что текущая рабочая директория включается в поисковый путь при загрузке библиотек. Злоумышленник может обманом заставить пользователя выполнить приложение, использующее библиотеку libtool, в директории с вредоносной библиотекой или .la файлом и выполнить произвольный код на системе с повышенными привилегиям.

URL производителя: www.gnu.org/software/libtool/

Решение: Установите последнюю версию 2.2.6b с сайта производителя.

Ссылки: http://lists.gnu.org/archive/html/libtool/2009-11/msg00059.html

или введите имя

CAPTCHA